slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPRIISetKSP

Associate a linear solver object (KSP) to the nonlinear eigenvalue solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetKSP(NEP nep,KSP ksp)

Collective

### Input Parameters

| nep | - eigenvalue solver
| ksp | - the linear solver object

### See Also

NEPRIIGetKSP()

### Level

advanced

### Location

src/nep/impls/rii/rii.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages